org.apache.lucene.analysis.ko.tokenattributes

## Class ReadingAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.ko.tokenattributes.ReadingAttributeImpl

- All Implemented Interfaces:
    Cloneable, ReadingAttribute, Attribute

      public class ReadingAttributeImpl
      extends AttributeImpl
      implements ReadingAttribute, Cloneable

  Attribute for Korean reading data
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadingAttributeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `copyTo(AttributeImpl target)`
    `String` | `getReading()` Get the reading of the token.
    `void` | `reflectWith(AttributeReflector reflector)`
    `void` | `setToken(Token token)` Set the current token.

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadingAttributeImpl

          public ReadingAttributeImpl()

  - ### Method Detail

    - #### getReading

          public String getReading()

      Description copied from interface: `ReadingAttribute`
      Get the reading of the token.
      Specified by:
        `getReading` in interface `ReadingAttribute`

    - #### setToken

          public void setToken(Token token)

      Description copied from interface: `ReadingAttribute`
      Set the current token.
      Specified by:
        `setToken` in interface `ReadingAttribute`

    - #### clear

          public void clear()

      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### reflectWith

          public void reflectWith(AttributeReflector reflector)

      Specified by:
        `reflectWith` in class `AttributeImpl`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.